CheckIndex.Status.SegmentInfoStatus (Lucene 2.4.1 API)
Keywords: org.apache.lucene.index.CheckIndex.Status.SegmentInfoStatus class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class CheckIndex.Status.SegmentInfoStatus

    java.lang.Object
      org.apache.lucene.index.CheckIndex.Status.SegmentInfoStatus

Enclosing class:
  CheckIndex.Status

    public static class CheckIndex.Status.SegmentInfoStatus

extends Object

Holds the status of each segment in the index. See `CheckIndex.Status.segmentInfos`.

WARNING: this API is new and experimental and is subject to suddenly change in the next release.

Field Summary
`boolean` | `compound` True if segment is compound file format.
`String` | `deletionsFileName` Name of the current deletions file name.
`int` | `docCount` Document count (does not take deletions into account).
`boolean` | `docStoreCompoundFile` True if the shared doc store files are compound file format.
`int` | `docStoreOffset` Doc store offset, if this segment shares the doc store files (stored fields and term vectors) with other segments.
`String` | `docStoreSegment` String of the shared doc store segment, or null if this segment does not share the doc store files.
`boolean` | `hasDeletions` True if this segment has pending deletions.
`boolean` | `hasProx` True if at least one of the fields in this segment does not omitTf.
`String` | `name` Name of the segment.
`int` | `numDeleted` Number of deleted documents.
`int` | `numFiles` Number of files referenced by this segment.
`boolean` | `openReaderPassed` True if we were able to open a SegmentReader on this segment.
`double` | `sizeMB` Net size (MB) of the files referenced by this segment.

Constructor Summary
`CheckIndex.Status.SegmentInfoStatus()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  Name of the segment.

### docCount

    public int docCount

  Document count (does not take deletions into account).

### compound

    public boolean compound

  True if segment is compound file format.

### numFiles

    public int numFiles

  Number of files referenced by this segment.

### sizeMB

    public double sizeMB

  Net size (MB) of the files referenced by this segment.

### docStoreOffset

    public int docStoreOffset

  Doc store offset, if this segment shares the doc store files (stored fields and term vectors) with other segments. This is -1 if it does not share.

### docStoreSegment

    public String docStoreSegment

  String of the shared doc store segment, or null if this segment does not share the doc store files.

### docStoreCompoundFile

    public boolean docStoreCompoundFile

  True if the shared doc store files are compound file format.

### hasDeletions

    public boolean hasDeletions

  True if this segment has pending deletions.

### deletionsFileName

    public String deletionsFileName

  Name of the current deletions file name.

### numDeleted

    public int numDeleted

  Number of deleted documents.

### openReaderPassed

    public boolean openReaderPassed

  True if we were able to open a SegmentReader on this segment.

### hasProx

    public boolean hasProx

  True if at least one of the fields in this segment does not omitTf.

  See Also:
    `Fieldable.setOmitTf(boolean)`

Constructor Detail

### CheckIndex.Status.SegmentInfoStatus

    public CheckIndex.Status.SegmentInfoStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.